Package server down. Backups requested.

NSA210, NSA221, NSA310, NSA310a, NSA310S, NSA320, NSA320S, NSA325, NSA325-v2
Antworten
Mijzelf
Beiträge: 124
Registriert: Mi 14. Nov 2018, 19:50

Package server down. Backups requested.

Beitrag von Mijzelf »

Last week ZyXEL in their wisdom decided to take down the package server for all EOL firmware 4 devices. (And for the NAS520, but that is a mistake, I think), so I'm trying to get a backup of the packages as they were served by ftp://ftp2.zyxel.com/, to serve them together with the 3th party packages.
On my NSA325 I found (in \\NSA325\admin\zy-pkgs\)

Code: Alles auswählen

BackupPlanner_001_arm_008.zpkg
BackupPlanner_001_arm_009.zpkg
BackupPlanner_001_arm_010.zpkg
gallery_3.0.2_arm_005.zpkg
Memopal_2.4.4_arm_001.zpkg
NFS_1.1.4_arm_004.zpkg
NZBGet_11.0_arm_002.zpkg
NZBGet_9.1_arm_001.zpkg
PHP-MySQL-phpMyAdmin_1.0_arm_005.zpkg
PHP-MySQL-phpMyAdmin_1.0_arm_006.zpkg
PHP-MySQL-phpMyAdmin_2.0_arm_009.zpkg
pyLoad_0.4.9_arm_002.zpkg
SMART_5.39_arm_005.zpkg
SMART_6.2_arm_007.zpkg
SSH_6.7_arm_001.zpkg
Syslog_2.0.10_arm_003.zpkg
Syslog_2.0.10_arm_004.zpkg
Transmission_2.77_arm_001.zpkg
Twonky_7.3.1_arm_001.zpkg
I know (from my MetaRepository database) on march 20 this year the server was hosting:

Code: Alles auswählen

BackupPlanner_001_arm_013.zpkg
DyDNS_001_arm_008.zpkg
eMule_001_arm_008.zpkg
gallery_3.0.4_arm_007.zpkg
GoogleDriveClient_0.4.0_arm_002.zpkg
Memopal_2.4.4_arm_003.zpkg
myZyXELcloud-Agent_0.0.15_arm_0015_325.zpkg
NFS_1.1.4_arm_005.zpkg
NZBGet_11.0_arm_004.zpkg
ownCloud_7.0.3_arm_003.zpkg
PHP-MySQL-phpMyAdmin_2.0_arm_009.zpkg
Polkast_001_arm_0119.zpkg
pyLoad_0.4.9_arm_005.zpkg
SMART_6.2_arm_007.zpkg
SqueezeCenter_7.7_arm_006.zpkg
SSH_6.7_arm_001.zpkg
Syslog_2.0.10_arm_004.zpkg
Tftp_0.7_arm_002.zpkg
Transmission_2.82_arm_003.zpkg
WordPress_3.6.1_arm_009.zpkg
So, as you can see my database is far from complete, and from many packages I'm missing the latest version. And that is only the 325. I don't know if the packages for other boxes were actually different.

So I'm asking if you can have a look in your //<NAS>/admin/zy-pkgs/ directory, where the downloaded packages are stored, to see if you can contribute to our database.

(The .zpkg files in //<NAS>/admin/zy-pkgs/MetaRepository/ are not useful, unfortunately. They don't contain the packages.)

romestylez
Beiträge: 1
Registriert: So 17. Okt 2021, 08:20

Re: Package server down. Backups requested.

Beitrag von romestylez »

Thank you for helping ! Im looking for the googledriveclient hopefully someone can provide a working version !

I checked my NAS and i found

Code: Alles auswählen

pyLoad_0.4.9_arm_005.zpkg
I uploaded it here -> https://www.xup.in/dl,10397205/pyLoad_0 ... m_005.rar/

When i should upload it somewhere else just tell me :)

Mijzelf
Beiträge: 124
Registriert: Mi 14. Nov 2018, 19:50

Re: Package server down. Backups requested.

Beitrag von Mijzelf »

I think I have collected most packages, and put them in http://zyxel.diskstation.eu/Users/Mijzelf/zypkg-repo/zyxel_fw4_zypkgs/

Do not use these for firmware 5 devices, (the NAS series, in contrast to the NSA series) in they are incompatible.

ZyXEL used to have different packages for all different types of NSA. I have compared a few of them, and didn't find any significant differences. So I didn't bother to keep them separate.

Antworten